Genivia - gsoapios.h File Reference

|  | Home | Documentation | gsoapios.h File Reference updated Wed Apr 8 2020 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
gsoapios.h File Reference
`#import "stdsoap2.h"`
`#import <Foundation/Foundation.h>`
`#import <UIKit/UIKit.h>`
Include dependency graph for gsoapios.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | GSoapiOSURLData
| stores states for connection establishment, buffering soap request and response More...
struct | soap_ios_data
| soap_ios plugin data to override callbacks and store states to manipulate SOAP connection using iOS libraries More...

## Macros
#define | SOAP_IOS_ID "SOAP_IOS-1.0"

## Functions
int | soap_ios (struct soap *soap, struct soap_plugin *p, void *arg)
| Save the old callbacks and set new callbacks to handle soap client applications on iOS platforms (iPhone and iPad) More...
void | soap_ios_setcachepolicy (struct soap *soap, unsigned int policy)
| Sets cache policy The constants used to specify interaction with the cached responses are: More...
void | soap_ios_settimeoutinterval (struct soap *soap, double seconds)
| Sets timeout interval. More...

## Macro Definition Documentation

#define SOAP_IOS_ID "SOAP_IOS-1.0"

plugin identification for plugin registry

## Function Documentation

int soap_ios | ( | struct soap * | soap,
|  | struct soap_plugin * | p,
|  | void * | arg
| ) |  |

Save the old callbacks and set new callbacks to handle soap client applications on iOS platforms (iPhone and iPad)

Parameters

  | soap | The soap context
  [in] | p | The soap plugin data
  [in] | arg | The arguments for soap plugin

Returns
  SOAP_OK if registration is successfull; SOAP_EOM otherwise

Usage:

1 struct soap *soap = soap_new();
2 soap_register_plugin(soap, soap_ios);

void soap_ios_setcachepolicy | ( | struct soap * | soap,
|  | unsigned int | policy
| ) |  |

Sets cache policy The constants used to specify interaction with the cached responses are:

enum { NSURLRequestUseProtocolCachePolicy = 0, NSURLRequestReloadIgnoringLocalCacheData = 1, NSURLRequestReloadIgnoringCacheData = NSURLRequestReloadIgnoringLocalCacheData, NSURLRequestReturnCacheDataElseLoad = 2, NSURLRequestReturnCacheDataDontLoad = 3, NSURLRequestReloadIgnoringLocalAndRemoteCacheData =4, NSURLRequestReloadRevalidatingCacheData = 5 };

Parameters

  | soap | The soap context
  [in] | policy | The policy to be specified for he request

soap_ios_settimeoutinterval | ( | struct soap * | soap,
|  | double | seconds
| ) |  |

Sets timeout interval.

Parameters

  | soap | The soap context
  [in] | seconds | The value for the timeout interval to be specifed (in seconds)
  | soap | The soap context
  [in] | seconds | The value for the timeout interval to be specified (in seconds)